import { DisplayNameMode } from '../models';
import { useUserStore } from '@flaschengeist/api';

export function showName(user: FG.User) {
  const userStore = useUserStore();
  switch (userStore.userSettings.display_name) {
    case DisplayNameMode.DISPLAYNAME:
      return user.display_name;
    case DisplayNameMode.FIRSTNAME:
      return user.firstname;
    case DisplayNameMode.LASTNAME:
      return user.lastname;
    case DisplayNameMode.FIRSTNAME_LASTNAME:
      return `${user.firstname} ${user.lastname}`;
    case DisplayNameMode.LASTNAME_FIRSTNAME:
      return `${user.lastname}, ${user.firstname}`;
  }
}
